Bug 176575 - devel/codeworker: Update to version 4.5.3
Summary: devel/codeworker: Update to version 4.5.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-28 18:10 UTC by tkato432
Modified: 2013-03-02 06:10 UTC (History)
0 users

See Also:


Attachments
file.diff (5.61 KB, patch)
2013-02-28 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-02-28 18:10:16 UTC
- Update to version 4.5.3

Remove file:
files/patch-GrfForeach.h
files/patch-NetSocket.cpp
Comment 1 Edwin Groothuis freebsd_committer 2013-02-28 18:14:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

araujo@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-03-01 15:05:49 UTC
Responsible Changed
From-To: araujo->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2013-03-02 06:01:35 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2013-03-02 06:01:49 UTC
Author: miwi
Date: Sat Mar  2 06:01:32 2013
New Revision: 313200
URL: http://svnweb.freebsd.org/changeset/ports/313200

Log:
  - Update to 4.5.3
  - Trim header
  - Update pkg-desc
  
  PR:		176575
  Submitted by:	ports fury

Deleted:
  head/devel/codeworker/files/
Modified:
  head/devel/codeworker/Makefile   (contents, props changed)
  head/devel/codeworker/distinfo   (contents, props changed)
  head/devel/codeworker/pkg-descr   (contents, props changed)

Modified: head/devel/codeworker/Makefile
==============================================================================
--- head/devel/codeworker/Makefile	Sat Mar  2 05:56:28 2013	(r313199)
+++ head/devel/codeworker/Makefile	Sat Mar  2 06:01:32 2013	(r313200)
@@ -1,34 +1,37 @@
-# ex:ts=8
-# Ports collection makefile for:	CodeWorker
-# Date created:			Dec 31, 2003
-# Whom:				ijliao
-#
+# Created by: ijliao
 # $FreeBSD$
-#
 
 PORTNAME=	codeworker
-PORTVERSION=	4.2
+PORTVERSION=	4.5.3
 CATEGORIES=	devel
 MASTER_SITES=	http://codeworker.free.fr/downloads/
 DISTNAME=	CodeWorker_SRC${PORTVERSION:S/./_/g}
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	A parsing tool and a source code generator
+COMMENT=	Versatile parsing tool and source code generator
 
-EXTRACT_BEFORE_ARGS=	-qo -aa
+LICENSE=	LGPL21
 
 WRKSRC=		${WRKDIR}/CodeWorker${PORTVERSION:S/./_/g}
 
 USE_ZIP=	yes
+USE_DOS2UNIX=	yes
 USE_GMAKE=	yes
 MAKE_ARGS=	CC="${CXX}" CXX="${CXX}" CXXFLAGS="${CXXFLAGS}" LFLAGS="-lm"
 ALL_TARGET=	build
+MAKE_JOBS_SAFE=	yes
 
 CFLAGS+=	-Dstricmp=strcasecmp
 
 PLIST_FILES=	bin/codeworker
 
+post-patch:
+	@${FIND} ${WRKSRC} -name "*.cpp" -or -name "*.h" | ${XARGS} \
+		${REINPLACE_CMD} -e \
+		's|<features.h>|<cstdio>| ; \
+		 s|__GNUC_PREREQ |__GNUC_PREREQ__|'
+
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/codeworker ${PREFIX}/bin
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} codeworker ${PREFIX}/bin)
 
 .include <bsd.port.mk>

Modified: head/devel/codeworker/distinfo
==============================================================================
--- head/devel/codeworker/distinfo	Sat Mar  2 05:56:28 2013	(r313199)
+++ head/devel/codeworker/distinfo	Sat Mar  2 06:01:32 2013	(r313200)
@@ -1,2 +1,2 @@
-SHA256 (CodeWorker_SRC4_2.zip) = b6749f97ca5ba16ed6fd3be4fbb0ad6e98056f8c43c5854da17f3cd7325c5756
-SIZE (CodeWorker_SRC4_2.zip) = 3178438
+SHA256 (CodeWorker_SRC4_5_3.zip) = b5fdf7b01d280d37b5534fe29890cb21357e11393bcab6f129c1a141485f799f
+SIZE (CodeWorker_SRC4_5_3.zip) = 3277274

Modified: head/devel/codeworker/pkg-descr
==============================================================================
--- head/devel/codeworker/pkg-descr	Sat Mar  2 05:56:28 2013	(r313199)
+++ head/devel/codeworker/pkg-descr	Sat Mar  2 06:01:32 2013	(r313200)
@@ -1,13 +1,15 @@
-CodeWorker is a parsing tool and a source code generator, available in Open
-Source (distributed under the GNU Lesser General Public License) devoted to
-cover many aspects of the generative programming. Generative programming is
-a software engineering approach for producing reusable, tailor-made, evolvable
-and reliable IT systems with a high level of automation.
+CodeWorker is a parsing tool and a source code generator, available in
+Open Source (distributed under the GNU Lesser General Public License)
+devoted to cover many aspects of the generative programming. Generative
+programming is a software engineering approach for producing reusable,
+tailor-made, evolvable and reliable IT systems with a high level of
+automation.
 
-The tool interprets a scripting language that drives the processing of parsing
-and source code generation in a quite familiar syntax for developers. It
-insists on adapting the syntax of the language to the particularities of tasks
-to resolve (parse, code generation, procedural) and on offering powerful
-functionalities to do intensive source code generation.
+The tool interprets a scripting language that drives the processing of
+parsing and source code generation in a quite familiar syntax for
+developers. It insists on adapting the syntax of the language to the
+particularities of tasks to resolve (parse, code generation, procedural)
+and on offering powerful functionalities to do intensive source code
+generation.
 
 WWW: http://codeworker.free.fr/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"